Jump to content


Photo

In serious need of Unity help on OSX


  • Please log in to reply
16 replies to this topic

#1 luckymcd

luckymcd

    Member

  • Members
  • PipPip
  • 15 posts

Posted 12 January 2018 - 06:18 PM

I'm having major issues with Unity on OSX. I accidentally downloaded the wrong version initially. I tried installing Course Forge, but got error messages. I then noticed my mistake so I tried a complete uninstall and reinstall.

When I did the uninstall I deleted:
/Applications/Unity
~/New Unity Project
~/Library/Application Support/Default Company
~/Library/Caches/com.unity3d.UnityEditor
~/Library/Logs/Unity
~/Library?Preferences/Unity
~/Library/Preferences/com.unity3d.UnityEditor5.x.plist
~/Library/Preferences/unity.DefaultCompany.NewProjct.plist
~/Library/Unity
/Library/Application Support/Unity

I then downloaded the right version and tried to run it. I think I may have missed some deeply hidden files that need to be uninstalled from the previous incorrect install because when I try to run 5.2.3f1 I get error messages and it seems to think the assets were already installed, so it didn't reinstall them.

When I run the freshly installed 5.2.3f1 it asks me to sign in. I'm able to do that with no problem, and then it checks for a license. Not finding one, I select personal edition, agree to the requirements, it is activated, and I try to start using it. I am able to start a new project, but when it starts compiling I get an error message. It says:

Copying File Failed
Copying ~/Library/Preferences/Unity/Editor-5.x/Layouts/Default.wlt to Library/CurrentLayout.dwlt: No such file or directory

I can try again, but no matter how many times I try it doesn't work. The other chances are cancel or force quit. I've tried both in my series of uninstalls and reinstalls, and they seem to have the same result. It will continue trying to open before sending another error message. It reads:

Failed to Load Window Layout
This can happen if layout contains custom windows and there are compile errors in the project.

At this point I can Load Default Layout, Revert Factory Settings, or Quit. Again they all seem to have the same result. I am eventually taken into the Unity app, but there is virtually nothing loaded. I can't change the layout, because there are not alternate options. There is nothing listed in the assets folder. When I go to import a package, the only option available is custom package (I remember there being many more initially). Attempting to install Course Forge I can go to import package, then custom package, and I can select the Course Forge Tutorial. However when I do so I getting an error saying:

Nothing to Import!
All assets from this package are already in your project.

At this point I am unable to do just about anything in Unity. I've tried several uninstalls and reinstalls. I tried repairing permissions. I've restarted multiple times. I've tried patches and eventually tried other versions just to see if I could fix it. Any older versions will partially load Course Forge, but then crash. Any newer versions say I am attempting to use obsolete packages and run an API Updater. Curiously I can run older or new versions of Unity, just can't install Course Forge in them. I know the Course Forge Tutorial only works in 5.2.3f1, but I can't do anything in that version until whatever the problem is fixed. Any assistance would be greatly appreciated as I've been working at this for 2 days and have made no progress at all.



#2 Brucey Mc

Brucey Mc

    Advanced Member

  • Members
  • PipPipPip
  • 422 posts
  • LocationTeesside, UK #UTB

Posted 12 January 2018 - 09:00 PM

Are you on high Sierra? Unity 5.2.3 doesn’t work properly on a fresh install of high Sierra due to the new Apple file system format it uses. I had the same problem myself on my new MacBook Pro and ended up downgrading it back to Sierra and it works ok now

#3 luckymcd

luckymcd

    Member

  • Members
  • PipPip
  • 15 posts

Posted 12 January 2018 - 11:34 PM

I am running High Sierra, but I also was running it on the first install when everything seemed to install correctly.



#4 Brucey Mc

Brucey Mc

    Advanced Member

  • Members
  • PipPipPip
  • 422 posts
  • LocationTeesside, UK #UTB

Posted 13 January 2018 - 12:48 PM

It doesn't seem to work if your hard drive is formatted using APFS which is the new apple format.  Anything should be ok



#5 luckymcd

luckymcd

    Member

  • Members
  • PipPip
  • 15 posts

Posted 13 January 2018 - 08:44 PM

What do you mean when you say anything should be ok?



#6 luckymcd

luckymcd

    Member

  • Members
  • PipPip
  • 15 posts

Posted 13 January 2018 - 09:10 PM

If I do in fact have to revert to the old OS I might just wait for the new course forge to come out. I don't have a backup from when I was running Sierra, so I think I'll have to stick with High Sierra. Mike Jones did say in August that they are working on a new Course Forge that would be on Unity 2017 here:

https://steamcommuni...41715942469613/

 

Unity 2017 seems to work just fine for me. So if a new Course Forge is on the way for it, I might just wait until it comes out. Anyone hear any updates at all? That thread is the only place I can even find it mentioned. I know timelines don't always work out, but I'd love to at least have an idea of where they are at or if it is even still planned.



#7 Brucey Mc

Brucey Mc

    Advanced Member

  • Members
  • PipPipPip
  • 422 posts
  • LocationTeesside, UK #UTB

Posted 13 January 2018 - 09:10 PM

Meant to be anything else rather than APFS should work from my experience

#8 luckymcd

luckymcd

    Member

  • Members
  • PipPip
  • 15 posts

Posted 14 January 2018 - 10:39 PM

I just remembered the first time was a different version, which would still work for me, just not able to use Course Forge on it. It's just weird to me that older versions work and newer versions work, but 5.2.3 doesn't. I guess I will have to wait for Course Forge 2 to come out to use it with Unity 2017. Oh well, at least I can enjoy the game until then.



#9 luckymcd

luckymcd

    Member

  • Members
  • PipPip
  • 15 posts

Posted 15 January 2018 - 08:06 PM

Anybody know if previous versions of Course Forge are still available anywhere? I'm been reading about Course Forge versions that ran on Unity 3, Unity 4.2.1, and Unity 5.1.2. These versions of Unity work on my system, so if the old Course Forge versions were available I'd be able to run them. Anyone know?



#10 NoPutt

NoPutt

    Advanced Nit-Picker

  • Members
  • PipPipPip
  • 2,787 posts
  • LocationSouth Carolina

Posted 15 January 2018 - 09:44 PM

Everyone is on the current version of CF. Any other version would have been

in Beta and would not build into the current version of PG.


" I haven't had this much fun since someone dropped a banana
down my pants and turned a monkey loose"

Dry Gulch Golf Club (Released)  

Millstone Golf Club (Released)

The Cliffs at Keowee Vineyards (Released)

Pine Lake Golf Club (Released)

Dry Gulch v2  (Released)

The Walker Course at Clemson (Released)

The Reserve at Lake Keowee  (Nicklaus design) (Released)

Woodhaven Golf Club,  Par 3 Course  (Released)

Smithfields C.C.  (Released)

Kingsmill Resort, Woods Course (Released)

Trackman Par 3 Party   ( Release up to TRACKMAN)

The Ace Club  (Gary Player)  (Released)

The Olde Farm (In Production)


#11 luckymcd

luckymcd

    Member

  • Members
  • PipPip
  • 15 posts

Posted 16 January 2018 - 10:05 PM

Darn. I guess I'll wait for the new Course Forge running on Unity 2017 then. Anyone have any idea on when that will be out? Or even if it is still in the works?



#12 NoPutt

NoPutt

    Advanced Nit-Picker

  • Members
  • PipPipPip
  • 2,787 posts
  • LocationSouth Carolina

Posted 16 January 2018 - 10:21 PM

It's in the works. When? I'd say between now and 2025,

is that close enough?


" I haven't had this much fun since someone dropped a banana
down my pants and turned a monkey loose"

Dry Gulch Golf Club (Released)  

Millstone Golf Club (Released)

The Cliffs at Keowee Vineyards (Released)

Pine Lake Golf Club (Released)

Dry Gulch v2  (Released)

The Walker Course at Clemson (Released)

The Reserve at Lake Keowee  (Nicklaus design) (Released)

Woodhaven Golf Club,  Par 3 Course  (Released)

Smithfields C.C.  (Released)

Kingsmill Resort, Woods Course (Released)

Trackman Par 3 Party   ( Release up to TRACKMAN)

The Ace Club  (Gary Player)  (Released)

The Olde Farm (In Production)


#13 luckymcd

luckymcd

    Member

  • Members
  • PipPip
  • 15 posts

Posted 18 January 2018 - 09:26 PM

Sure enough the new file system was the problem Bruce. I am very particular about my files, so I didn't want to go through the work of reverting to an old OS. Since I had an old hard drive that hadn't been formatted with the new file system, I was able to do another complete uninstall and then install 5.2.3 on the old drive. I now have it up and running and wanted to post it here to let anybody who has similar problems know a workaround.



#14 Net Birdie

Net Birdie

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 12 March 2019 - 10:39 PM

It appears that for Course Forge that I have run into the High Sierra problem, in addition to the Unity 5.2.3 problem, so it's useless to me.



#15 Brucey Mc

Brucey Mc

    Advanced Member

  • Members
  • PipPipPip
  • 422 posts
  • LocationTeesside, UK #UTB

Posted 13 March 2019 - 10:51 AM

I keep my unity projects on an external drive that is formatted to the old file system and that works ok for me on high Sierra and unity 5.2.3
  • Stingreye likes this

#16 Stingreye

Stingreye

    Advanced Member

  • Members
  • PipPipPip
  • 159 posts
  • LocationSouthern California

Posted 13 March 2019 - 04:51 PM

It appears that for Course Forge that I have run into the High Sierra problem, in addition to the Unity 5.2.3 problem, so it's useless to me.

Only work around really is parralells or bootcamp.

 

EDIT:  just saw response above.  That would be an excellent work around too!



#17 Net Birdie

Net Birdie

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 18 March 2019 - 01:28 PM

I discovered a workaround.  Thanks, guys.    8-bit just wasn't fine enough for the heightmap when I imported it.  As I wrote in another message, I can't download 16-bit lidar.

If Larry K. or Joe H. would care to help me with this,  please send me a pm. (it's in Joe's neck of the woods.)






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users